Google Web Toolkit (Beta)
Search this site:

# Class CommandCanceledException

public class CommandCanceledException
extends RuntimeException
Exception reported to the current UncaughtExceptionHandler when a deferred Command is canceled as a result of a slow script warning.

## Constructors

CommandCanceledException(Command) |

## Methods

getCommand() | Returns the Command which was canceled by the user as a result of a slow script warning.

## Constructor Detail

### CommandCanceledException

public CommandCanceledException(Command command)

#### Parameters

command

## Method Detail

### getCommand

public Command getCommand()
Returns the Command which was canceled by the user as a result of a slow script warning.

#### Return Value

the Command which was canceled by the user as a result of a slow script warning